package com.example.primarycourt.helper;

import java.util.ArrayList;

public class PendingCase {

    private String caseID, case_number, thumbnailUrl,case_year,case_type, appellant, defendant;
    private String claim,filing_date,decided_date, mode_determination,case_outcome, case_remarks, magistrate;
    private String appellant_position,appellant_age,appellant_gender,appellant_phone,defendant_position,defendant_age,defendant_gender,defendant_phone;
    private ArrayList genre;

    public PendingCase() {
    }

    public PendingCase(String caseID, String case_number, String thumbnailUrl, String case_year, String case_type,
                       String appellant, String defendant, String claim, String filing_date, String magistrate,
                       String decided_date, String mode_determination, String case_outcome, String case_remarks,
                 ArrayList<String> genre, String appellant_position, String appellant_age, String appellant_gender, String appellant_phone,
                       String defendant_position, String defendant_age, String defendant_gender, String defendant_phone) {
        this.caseID = caseID;
        this.case_number = case_number;
        this.thumbnailUrl = thumbnailUrl;
        this.case_year = case_year;
        this.case_type = case_type;
        this.appellant = appellant;
        this.defendant = defendant;
        this.claim = claim;
        this.filing_date = filing_date;
        this.magistrate = magistrate;
        this.decided_date = decided_date;
        this.mode_determination = mode_determination;
        this.case_outcome = case_outcome;
        this.case_remarks = case_remarks;
        this.appellant_position = appellant_position;
        this.appellant_age = appellant_age;
        this.appellant_gender = appellant_gender;
        this.appellant_phone = appellant_phone;
        this.defendant_position = defendant_position;
        this.defendant_age = defendant_age;
        this.defendant_gender = defendant_gender;
        this.defendant_phone = defendant_phone;

    }

    public String getCaseID() {
        return caseID;
    }

    public void setCaseID(String caseID) {
        this.caseID = caseID;
    }

    public String getCaseNumber() {
        return case_number;
    }

    public void setCaseNumber(String case_number) {
        this.case_number = case_number;
    }

    public String getThumbnailUrl() {
        return thumbnailUrl;
    }

    public void setThumbnailUrl(String thumbnailUrl) {
        this.thumbnailUrl = thumbnailUrl;
    }

    public String getCaseYear() {
        return case_year;
    }

    public void setCaseYear(String case_year) {
        this.case_year = case_year;
    }

    public String getCaseType() {
        return case_type;
    }

    public void setCaseType(String case_type) {
        this.case_type = case_type;
    }

    public String getAppellant() {
        return appellant;
    }

    public void setAppellant(String appellant) {
        this.appellant = appellant;
    }

    public String getDefendant() {
        return defendant;
    }

    public void setDefendant(String defendant) {
        this.defendant = defendant;
    }

    public String getClaim() {
        return claim;
    }

    public void setClaim(String claim) {
        this.claim = claim;
    }

    public String getFilingDate() {
        return filing_date;
    }

    public void setFilingDate(String filing_date) {
        this.filing_date = filing_date;
    }

    public String getMagistrate() {
        return magistrate;
    }

    public void setMagistrate(String magistrate) {
        this.magistrate = magistrate;
    }


    public String getDecidedDate() {
        return decided_date;
    }

    public void setDecidedDate(String decided_date) {
        this.decided_date = decided_date;
    }

    public String getDeterminationMode() {
        return mode_determination;
    }

    public void setDeterminationMode(String mode_determination) {
        this.mode_determination = mode_determination;
    }

    public String getCaseOutcome() {
        return case_outcome;
    }

    public void setCaseOutcome(String case_outcome) {
        this.case_outcome = case_outcome;
    }

    public String getCaseRemarks() {
        return case_remarks;
    }

    public void setCaseRemarks(String case_remarks) {
        this.case_remarks = case_remarks;
    }

    public String getAppellantPosition() {
        return appellant_position;
    }

    public void setAppellantPosition(String appellant_position) {
        this.appellant_position = appellant_position;
    }

    public String getAppellantAge() {
        return appellant_age;
    }

    public void setAppellantAge(String appellant_age) {
        this.appellant_age = appellant_age;
    }

    public String getAppellantGender() {
        return appellant_gender;
    }

    public void setAppellantGender(String appellant_gender) {
        this.appellant_gender = appellant_gender;
    }

    public String getAppellantPhone() {
        return appellant_phone;
    }

    public void setAppellantPhone(String appellant_phone) {
        this.appellant_phone = appellant_phone;
    }


    public String getDefendantPosition() {
        return defendant_position;
    }

    public void setDefendantPosition(String defendant_position) {
        this.defendant_position = defendant_position;
    }


    public String getDefendantAge() {
        return defendant_age;
    }

    public void setDefendantAge(String defendant_age) {
        this.defendant_age = defendant_age;
    }

    public String getDefendantGender() {
        return defendant_gender;
    }

    public void setDefendantGender(String defendant_gender) {
        this.defendant_gender = defendant_gender;
    }

    public String getDefendantPhone() {
        return defendant_phone;
    }

    public void setDefendantPhone(String defendant_phone) {
        this.defendant_phone = defendant_phone;
    }



}
