 package com.example.primarycourt.app;

 import com.example.primarycourt.activity.HomeActivity;

 public abstract class AppConfig {

  // MAJOR ==> api, MINOR ==> new features, PATCH ==> bugs
    public static  String App_Version = "2.3.0";
    public static  String CopyWrite  = "\u00A9";
    public static  String TradeMark = "Trademarks and brand are the property of their respective owners";

    public static String CheckUpdate = "https://play.google.com/store/apps/details?id=com.jot.primarycourt";


     public static String courtID = String.valueOf(HomeActivity.user_courtID);

     public static String IP_PATH = "http://eservices.judiciary.go.tz:81/"; // LIVE IP

//     public static String IP_PATH = "http://172.19.0.156/judiciary_api/"; // TEST

//     public static String IP_PATH = "http://172.19.0.143/judiciary_api/"; // SOPHOS TEST

     public static String URL_LOGIN = IP_PATH+"login.php";

      // server url for getting  case  type
     public static String URL_CASE_TYPE = IP_PATH+"get_case_type.php";

     // server url for getting  case  outcome
     public static String URL_CASE_OUTCOME = IP_PATH+"get_case_outcome.php";

     // server url for getting  case  mode of determination
     public static String URL_CASE_MODE = IP_PATH+"get_case_mode.php";

     // server url for getting  appellant position
     public static String URL_APPELLANT_POSITION = IP_PATH+"get_appellant_position.php";

     // server url for getting  defendant position
     public static String URL_DEFENDANT_POSITION = IP_PATH+"get_defendant_position.php";

     // Server user register url
     public static String URL_REGISTER = IP_PATH+"register.php";

     // server url for case register
     public static String URL_CASE_REGISTER = IP_PATH+"case_register.php";

     // server url for updating pending cases
     public static String URL_UPDATE_CASE = IP_PATH+"case_update.php?";

    // server url for editing decided cases
    public static String URL_EDIT_DECIDED_CASE = IP_PATH+"case_decided_edit.php?";

     // server url for editing pending cases
     public static String URL_EDIT_PENDING_CASE = IP_PATH+"case_pending_edit.php?";

     // server url for assigning pending cases
     public static String URL_ASSIGN_CASE = IP_PATH+"assign_case.php?";

     // server url for assigning pending cases
     public static String URL_REASSIGN_CASE = IP_PATH+"reassign_case.php?";

     // server url for magistrate to see assigning courts
     public static String URL_ASSIGNED_COURTS = IP_PATH+"get_assigned_court.php?";

 }
